struct tNode;
// An element of sparse matrix M, that is a subset of {(i,j,k)}.
typedef struct tNode {
   struct tNode *next; // next element on row
   struct tNode *prevD; // prev element on diagonal
   struct tNode *prevTrace; // prev match in the optimal path (trace)
   int i;     // row number
   int j;     // column number
   int k;     // track number
   int kappa; // splits so far
} tripleNode;

